@use 'partials/components/menu';
@use 'partials/components/slides-grid';

@import 'partials/components/panel-content';

%slide-image-mat-tile {
  width: 100%;
  position: relative;
  display: inline-block;
  overflow: hidden;
}

.label-mat-tile {
  @extend %slide-image-mat-tile;
  height: 0.25 * slides-grid.$mat-grid-tile-height;
}

.slides-panel-content {
  @extend %max-panel-content-base;
  max-height: menu.menu-panel-max-height(2);
}

.text-mat-tile {
  @extend %slide-image-mat-tile;
  height: 0.06 * slides-grid.$mat-grid-tile-height;
  margin: 5px;
  word-break: break-all;
}

.thumbnail-mat-tile {
  @extend %slide-image-mat-tile;
  height: 0.5 * slides-grid.$mat-grid-tile-height;
}
